/*
 file: main.cpp
 author: Nafees Bin Zafar <binzafar@musc.edu>
         Robert Gorlitsky <gorlitsk@musc.edu>
 date:   1/25/1999

 synopsis: driver code to use the NIS authentication portal.

 */

#include <iostream.h>
#include "win_authClient.h"


int main(int argc, char** argv) {
	char* result= new(char[MAXRESULT]);

	if (argc < 3) {
		cout << "Usage: " << argv[0] << " <server> <port> <username> <password>\n";
		exit(-1);
	}

	clientmain(argv[1], atoi(argv[2]), argv[3], argv[4], result);
	cout << "server replied: " << result;
	return 0;
}
