/*
 file: win_authClient.h
 author: Nafees Bin Zafar <binzafar@musc.edu>
         Robert Gorlitsky <gorlitsk@musc.edu>
 date:   1/25/1999

 synopsis: header file for NIS authentication portal interface library

 */

#ifndef win_authclient_h
#define win_authclient_h

#include <iostream.h>
#include <stdio.h>
#include <string.h>
#include <winsock2.h>
#include <stdlib.h>

#define MAXRESULT 1024



void clientmain (char*, int, char*, char*, char*); //host, port, usrinfo
SOCKET getSock(char*, int); //host, port
u_long getNetAddr (const char*); //host; returns numeric addr of host
bool closeSock(SOCKET);
void authenticate(SOCKET, const char*, char*); //socket handle, usrinfo
#endif
