#!/usr/bin/tclsh
# author: Nafees Bin Zafar <nafees@acm.org>
# date:   3/1/99 (or thereabouts)
# Tcl based client

#service port
set svchost "atrium.musc.edu"
set svcport 10070

proc sendAuth {usrName usrPass svcsock} {
    set authStr [list $usrName $usrPass]
    puts $svcsock $authStr
    #puts stdout "Sending: $authStr to $svcsock"
}

proc readAuth {svcsock} {
    global result
    set result [gets $svcsock]
    #puts stdout "ServerReply: $result"
    set eventLoop "done"
}


if {$argc > 1} {
    #puts stdout "$argc number of arguments received"
    set usrName [lindex $argv 0]
    set usrPass [lindex $argv 1]
#    puts stdout "usrName = $usrName\nusrPass = $usrPass"
    set result 0
    # connect, send auth info, report result to stdout, exit
    set svcsock [socket $svchost $svcport]
#    puts stdout "Connected to $svchost:$svcport on socket $svcsock"
    fconfigure $svcsock -buffering line
    
    sendAuth $usrName $usrPass $svcsock
    readAuth $svcsock

    #vwait eventLoop
    puts stdout $result
    exit
}

puts stdout 0
#exit
